REM $Id: nsrsup.bat,v 6.7 1998/09/04 22:06:42 ricks Exp $ Copyright (c) 1996, Legato Systems, Inc.

REM

REM All rights reserved.

REM

@ECHO OFF

REM

REM nsrsup.bat 4.3 9/17/96

REM

REM This file created by Tech Supp. - Brian Wade

REM



:start

REM SET Environment Variables to be local to this batch file.

SETLOCAL



CLS



REM formating seperators

SET sep1=----------

SET sep2=***************



REM nsr_support version number

SET ver=6.1.3.Build.428



REM determine if the current directory is ...\nsr\bin

REM if yes - continue

REM if not - error and end

CD | FINDSTR /I /C:"\nsr\bin" 1> NUL: 2>&1

IF ERRORLEVEL 0 IF NOT ERRORLEVEL 1 GOTO setup

GOTO dir_wrong



:dir_wrong

ECHO.

ECHO The current directory is not \NSR\BIN.

ECHO This program must be run from the \NSR\BIN directory.

ECHO.

ECHO ...exiting...

GOTO end



:setup

ECHO Output file is being prepared.

IF EXIST %temp% GOTO setup_temp

IF EXIST %HOMEDRIVE% GOTO setup_home

IF EXIST %SystemRoot% GOTO setup_root

GOTO setup_failed



:setup_temp

SET of_location=%temp%

SET of_tmp=%of_location%\nsr_rpt.tmp

SET of=%of_location%\nsr_rpt

GOTO setup_of



:setup_home

SET of_location=%HOMEDRIVE%

SET of_tmp=%of_location%\nsr_rpt.tmp

SET of=%of_location%\nsr_rpt

ECHO Environment variable "temp" not set, or unable to access %temp%. 

ECHO Using "HOMEDRIVE" environment variable.

GOTO setup_of



:setup_root

SET of_location=%SystemRoot%

SET of_tmp=%of_location%\nsr_rpt.tmp

SET of=%of_location%\nsr_rpt

ECHO Environment variable "temp" not set, or unable to access %temp%. 

ECHO Using "SystemRoot" environment variable.

GOTO setup_of



:setup_failed

ECHO.

ECHO Environment variable "temp" not set, or unable to access %temp%.

ECHO Environment variable "HOMEDRIVE" not set, or unable to access %HOMEDRIVE%.

ECHO Environment variable "SystemRoot" not set, or unable to access %SystemRoot%.

ECHO.

ECHO ...exiting...

GOTO end



:setup_of

FOR %%x IN (9 8 7 6 5 4 3 2 1 0) DO FOR %%y IN (9 8 7 6 5 4 3 2 1 0) DO FOR %%z IN (9 8 7 6 5 4 3 2 1 0) DO IF NOT EXIST %of%.%%x%%y%%z SET ext=%%x%%y%%z

IF %ext%!==! GOTO setup_no_ext

SET of=%of%.%ext%

ECHO Ouput file is %of%.

ECHO.

GOTO intro



:setup_no_ext

ECHO.

ECHO There are too many NetWorker Support Info files in %of_location%.

ECHO Delete some of the nsr_rpt.000 through nsr_rpt.999 files and try again.

ECHO.

ECHO ...exiting...

GOTO end



:intro

ECHO %sep2% > %of% 

ECHO NetWorker Support Info. >> %of%

ECHO Version %ver% >> %of%

VER >> %of%

ECHO Computer Name %COMPUTERNAME% >> %of%

ECHO. | DATE | FIND "is" >> %of%

ECHO. | TIME | FIND "is" >> %of%

GOTO ask



:ask

ECHO ******************************************************

ECHO Hit F6 (or CTRL-Z) and ENTER when done with each entry

ECHO ******************************************************

ECHO.

GOTO ask_ic

         

:ask_ic

ECHO Please enter your Incident number.  If none, enter none.

COPY CON: %of_tmp% > NUL:

ECHO. >> %of%

ECHO -Incident- >> %of%

COPY %of%+%of_tmp% %of% > NUL:

GOTO ask_name



:ask_name

ECHO Please enter your name.

COPY CON: %of_tmp% > NUL:

ECHO. >> %of%

ECHO -Name- >> %of%

COPY %of%+%of_tmp% %of% > NUL:

GOTO ask_company



:ask_company

ECHO Please enter your company name.

COPY CON: %of_tmp% > NUL:

ECHO. >> %of%

ECHO -Company- >> %of%

COPY %of%+%of_tmp% %of% > NUL:

GOTO ask_phone



:ask_phone

ECHO Please enter your phone number.

COPY CON: %of_tmp% > NUL:

ECHO. >> %of%

ECHO -Phone- >> %of%

COPY %of%+%of_tmp% %of% > NUL:

GOTO ask_fax



:ask_fax

ECHO Please enter your fax number.  If none, enter none.

COPY CON: %of_tmp% > NUL:

ECHO. >> %of%

ECHO -Fax- >> %of%

COPY %of%+%of_tmp% %of% > NUL:

GOTO ask_email



:ask_email

ECHO Please enter your email address.  If none, enter none.

COPY CON: %of_tmp% > NUL:

ECHO. >> %of%

ECHO -Email- >> %of%

COPY %of%+%of_tmp% %of% > NUL:

GOTO ask_done

          

:ask_done

ECHO.

ECHO This may take a while...

DEL %of_tmp% > NUL:

ECHO. >> %of%

ECHO %sep2% >> %of%

GOTO ipconfig



:ipconfig

IF NOT EXIST %SystemRoot%\SYSTEM32\IPCONFIG.EXE GOTO ipconfig_not

ECHO %sep1% >> %of%

ECHO ipconfig /all >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

IPCONFIG /ALL 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO netstata



:ipconfig_not

ECHO %sep1% >> %of%

ECHO ipconfig >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find ipconfig.exe executable. >> %of%

ECHO %sep2% >> %of%

GOTO netstata



:netstata

IF NOT EXIST %SystemRoot%\SYSTEM32\NETSTAT.EXE GOTO netstat_not

ECHO %sep1% >> %of%

ECHO netstat -a >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NETSTAT -A 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO netstates



:netstates

ECHO %sep1% >> %of%

ECHO netstat -e -s >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NETSTAT -E -S 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO path



:netstat_not

ECHO %sep1% >> %of%

ECHO netstat >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find netstat.exe executable. >> %of%

ECHO %sep2% >> %of%

GOTO path



:path

ECHO %sep1% >> %of%

ECHO PATH >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO %Path% >> %of%

ECHO %sep2% >> %of%

GOTO net_start



:net_start

IF NOT EXIST %SystemRoot%\SYSTEM32\NET.EXE GOTO net_not

ECHO %sep1% >> %of%

ECHO NET START >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NET START 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO net_config_server

                   

:net_config_server

ECHO %sep1% >> %of%

ECHO NET CONFIG SERVER >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NET CONFIG SERVER 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO net_config_workstation



:net_config_workstation

ECHO %sep1% >> %of%

ECHO NET CONFIG WORKSTATION >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NET CONFIG WORKSTATION 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO net_statistics_server



:net_statistics_server

ECHO %sep1% >> %of%

ECHO NET STATISTICS SERVER >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NET STATISTICS SERVER 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO net_statistics_workstation



:net_statistics_workstation

ECHO %sep1% >> %of%

ECHO NET STATISTICS WORKSTATION >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NET STATISTICS WORKSTATION 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO networker_dir



:net_not

ECHO %sep1% >> %of%

ECHO NET CONFIG/STATISTICS >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find net.exe executable. >> %of%

ECHO %sep2% >> %of%

GOTO networker_dir



:networker_dir

ECHO %sep1% >> %of%

ECHO NSR Directory >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

DIR /C /A >> %of%

ECHO %sep2% >> %of%

GOTO daemonlog



:daemonlog

IF NOT EXIST ..\logs\daemon.log GOTO daemonlog_not

ECHO %sep1% >> %of%

ECHO ...\nsr\logs\daemon.log >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+..\logs\daemon.log %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO messages



:daemonlog_not

ECHO %sep1% >> %of%

ECHO ...\nsr\logs\daemon.log >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\logs\daemon.log file. >> %of%

ECHO %sep2% >> %of%

GOTO messages



:messages

IF NOT EXIST ..\logs\messages GOTO messages_not

ECHO %sep1% >> %of%

ECHO ...\nsr\logs\messages >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+..\logs\messages %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO index



:messages_not

ECHO %sep1% >> %of%

ECHO ...\nsr\logs\messages >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\logs\messages file. >> %of%

ECHO %sep2% >> %of%

GOTO index



:index

IF NOT EXIST ..\index GOTO index_not

ECHO %sep1% >> %of%

ECHO ...\nsr\index information >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

DIR /S /C /A ..\index | FIND /V "<DIR>" | FIND /V "File(s)" | FIND /V "Volume" | FIND /V "README" | FIND /V "Total Files" 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO nsrls



:index_not

ECHO %sep1% >> %of%

ECHO ...\nsr\index information >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\index directory. >> %of%

ECHO %sep2% >> %of%

GOTO nsrls



:nsrls

IF NOT EXIST nsrls.exe GOTO nsrls_not

ECHO %sep1% >> %of%

ECHO nsrls output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

NSRLS 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO mminfoa



:nsrls_not

ECHO %sep1% >> %of%

ECHO nsrls output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\bin\nsrls.exe executable. >> %of%

ECHO %sep2% >> %of%

GOTO mminfoa



:mminfoa

IF NOT EXIST mminfo.exe GOTO mminfo_not

ECHO %sep1% >> %of%

ECHO mminfo -a output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

MMINFO -a 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO mminfoavV



:mminfoavV

ECHO %sep1% >> %of%

ECHO mminfo -avV output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

MMINFO -avV 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO memp



:mminfo_not

ECHO %sep1% >> %of%

ECHO mminfo output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\bin\mminfo.exe executable. >> %of%

ECHO %sep2% >> %of%

GOTO memp



:memp

IF NOT EXIST %SystemRoot%\system32\MEM.EXE GOTO mem_not

ECHO %sep1% >> %of%

ECHO mem /p output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

MEM /P 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO memd



:memd

ECHO %sep1% >> %of%

ECHO mem /d output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

MEM /D 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO memc



:memc

ECHO %sep1% >> %of%

ECHO mem /c output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

MEM /C 1>> %of% 2>&1

ECHO %sep2% >> %of%

GOTO hosts



:mem_not

ECHO %sep1% >> %of%

ECHO mem output >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find %SystemRoot%\system32\mem.exe executable. >> %of%

ECHO %sep2% >> %of%

GOTO hosts



:hosts

IF NOT EXIST %SystemRoot%\system32\drivers\etc\hosts GOTO hosts_not

ECHO %sep1% >> %of%

ECHO %SystemRoot%\system32\drivers\etc\hosts >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+%SystemRoot%\system32\drivers\etc\hosts %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO lmhosts



:hosts_not

ECHO %sep1% >> %of%

ECHO %SystemRoot%\system32\drivers\etc\hosts >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find %SystemRoot%\system32\drivers\etc\hosts file. >> %of%

ECHO %sep2% >> %of%

GOTO lmhosts



:lmhosts

IF NOT EXIST %SystemRoot%\system32\drivers\etc\lmhosts GOTO lmhosts_not

ECHO %sep1% >> %of%

ECHO %SystemRoot%\system32\drivers\etc\lmhosts >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+%SystemRoot%\system32\drivers\etc\lmhosts %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO drwtsn32



:lmhosts_not

ECHO %sep1% >> %of%

ECHO %SystemRoot%\system32\drivers\etc\lmhosts >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find %SystemRoot%\system32\drivers\etc\lmhosts file. >> %of%

ECHO %sep2% >> %of%

GOTO drwtsn32



:drwtsn32

IF NOT EXIST %SystemRoot%\drwtsn32.log GOTO nsrres

ECHO %sep1% >> %of%

ECHO %SystemRoot%\drwtsn32.log >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+%SystemRoot%\drwtsn32.log %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO nsrres



:nsrres

IF NOT EXIST ..\res\nsr.res GOTO nsrres_not

ECHO %sep1% >> %of%

ECHO ...\nsr\res\nsr.res >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+..\res\nsr.res %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO nsrjbres



:nsrres_not

ECHO %sep1% >> %of%

ECHO ...\nsr\res\nsr.res >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\res\nsr.res file. >> %of%

ECHO %sep2% >> %of%

GOTO nsrjbres



:nsrjbres

IF NOT EXIST ..\res\nsrjb.res GOTO nsrjbres_not

ECHO %sep1% >> %of%

ECHO ...\nsr\res\nsrjb.res >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+..\res\nsrjb.res %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO nsrlares



:nsrjbres_not

ECHO %sep1% >> %of%

ECHO ...\nsr\res\nsrjb.res >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\res\nsrjb.res file. >> %of%

ECHO %sep2% >> %of%

GOTO nsrlares



:nsrlares

IF NOT EXIST ..\res\nsrla.res GOTO nsrlares_not

ECHO %sep1% >> %of%

ECHO ...\nsr\res\nsrla.res >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO. >> %of%

COPY %of%+..\res\nsrla.res %of% 1> NUL: 2>&1

ECHO %sep2% >> %of%

GOTO fin



:nsrlares_not

ECHO %sep1% >> %of%

ECHO ...\nsr\res\nsrla.res >> %of%

ECHO %sep1% >> %of%

ECHO %sep2% >> %of%

ECHO Unable to find \nsr\res\nsrla.res file. >> %of%

ECHO %sep2% >> %of%

GOTO fin



:fin

ECHO Output file is %of%



:end

ENDLOCAL                                                                        



